DB_ENV->repmgr_set_local_site |

`

    #include <db.h>

    int
    DB_ENV->repmgr_set_local_site(DB_ENV *env,
        const char *host, u_int port, u_int32_t flags);

Description: DB_ENV->repmgr_set_local_site

The DB_ENV->repmgr_set_local_site method specifies the host identification string and port number for the local system.

The DB_ENV->repmgr_set_local_site method may not be called after the DB_ENV->repmgr_start method is called.

The DB_ENV->repmgr_set_local_site method returns a non-zero error value on failure and 0 on success.

Parameters
flags

- The flags parameter is currently unused, and must be set to 0.

host

- The site's host identification string, generally a TCP/IP host name.

port

- The port number on which the local site is listening.

Class DB_ENV
See Also Replication and Related Methods`

Copyright (c) 1996,2008 Oracle. All rights reserved.